Skip Navigation LinksTechnical Support for Students and Parents > Brightspace System Requirements

​​Brightspace System Requirements

Brightspace is updated on a continual basis.  To view the system requirements needed to access brightspace learning environment and ePortfolio, please view the Brightspace Platform Requirements from the D2L vendor. 
 
Please note that every browser works slightly differently with brightspace. If you experience issues using one browser, then please try a different browser or device to see if it works better for you.​  Use the most updated version of an operating system or browser available to you.
 
Updated September 2016 for Brightspace version 10.6:

On a Windows or Mac computer​

  • Microsoft Edge (latest)
  • Internet Explorer Internet Explorer 10 or 11 (superceded by Edge)
  • Google Chrome (latest) - supported by CBE
  • Apple Safari (latest) - supported by CBE
  • Mozilla Firefox (newest update) - not CBE supported but could be used on BYOD personally owned devices or home computers.

 

  • Ensure that your browser has JavaScript and Cookies enabled
  • For desktop systems, you must have Adobe Flash Player 10.1 or greater
  • Review what Maintenance and Supported means for the browser version on the Brightspace Platform Requirements page. 

Tablets and Mobile: